Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.httpheaders
Class HttpHeadersInspectorFactory

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.httpheaders.HttpHeadersInspectorFactory

All Implemented Interfaces:
  RequestInspectorFactory, ResponseInspectorFactory, XmlInspectorFactory

    public class HttpHeadersInspectorFactory

extends java.lang.Object
implements RequestInspectorFactory, ResponseInspectorFactory

Field Summary
`static java.lang.String` | `INSPECTOR_ID`

Constructor Summary
`HttpHeadersInspectorFactory()`

Method Summary
`XmlInspector` | `createRequestInspector(XmlEditor editor, ModelItem modelItem)`
`XmlInspector` | `createResponseInspector(XmlEditor editor, ModelItem modelItem)`
`java.lang.String` | `getInspectorId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSPECTOR_ID

    public static final java.lang.String INSPECTOR_ID

See Also:
  Constant Field Values

Constructor Detail

### HttpHeadersInspectorFactory

    public HttpHeadersInspectorFactory()

Method Detail

### getInspectorId

    public java.lang.String getInspectorId()

  Specified by:
    `getInspectorId` in interface `XmlInspectorFactory`

### createRequestInspector

    public XmlInspector createRequestInspector(XmlEditor editor,
                                               ModelItem modelItem)

  Specified by:
    `createRequestInspector` in interface `RequestInspectorFactory`

### createResponseInspector

    public XmlInspector createResponseInspector(XmlEditor editor,
                                                ModelItem modelItem)

  Specified by:
    `createResponseInspector` in interface `ResponseInspectorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.